Post Thumbnail

Blizzard's put up the System Requirements for Burning Crusade (2nd to last question on the FAQ), so if your current box is chugging along, you might want to check them out. The other reason I decided to post this (it's right up there on the WoW site, after all-- why come here when you can see it th...

October 18th 2006 at 9:33pm 0 Comments
Post Thumbnail

At last, Aspyr has finally released the system requirements for the upcoming Quake 4. So, without further ado, you'll need: Mac OS X 10.3.9 or later a PowerPC G4, G5, or Intel-based chipset a 1.67GHz or faster CPU 512MB or higher of memory 64MB or more of video memory (VRAM) Qu...

February 2nd 2006 at 5:00pm 0 Comments